Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ch.mimo.netty.handler.codec.icap
Class IcapRequestEncoder

    java.lang.Object
      org.jboss.netty.handler.codec.oneone.OneToOneEncoder
          ch.mimo.netty.handler.codec.icap.IcapMessageEncoder
              ch.mimo.netty.handler.codec.icap.IcapRequestEncoder

All Implemented Interfaces:
  org.jboss.netty.channel.ChannelDownstreamHandler, org.jboss.netty.channel.ChannelHandler

    public class IcapRequestEncoder

extends IcapMessageEncoder

Encodes an ICAP Request which takes an @see `IcapRequest` or @see `IcapChunk` to encode.

Author:
  Michael Mimo Moratti (mimo@mimo.ch)

Nested Class Summary

Nested classes/interfaces inherited from interface org.jboss.netty.channel.ChannelHandler
`org.jboss.netty.channel.ChannelHandler.Sharable`

Constructor Summary
`IcapRequestEncoder()`

Method Summary
`protected int` | `encodeInitialLine(org.jboss.netty.buffer.ChannelBuffer buffer, IcapMessage message)`

Methods inherited from class ch.mimo.netty.handler.codec.icap.IcapMessageEncoder
`encode`

Methods inherited from class org.jboss.netty.handler.codec.oneone.OneToOneEncoder
`handleDownstream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IcapRequestEncoder

    public IcapRequestEncoder()

Method Detail

### encodeInitialLine

    protected int encodeInitialLine(org.jboss.netty.buffer.ChannelBuffer buffer,
                                    IcapMessage message)
                             throws Exception

  Specified by:
    `encodeInitialLine` in class `IcapMessageEncoder`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.